net.sourceforge.pmd.lang.java.typeresolution.visitors

## Class PMDASMVisitor

- java.lang.Object
- - net.sourceforge.pmd.lang.java.typeresolution.visitors.PMDASMVisitor

- All Implemented Interfaces:
    org.objectweb.asm.ClassVisitor

      public class PMDASMVisitor
      extends Object
      implements org.objectweb.asm.ClassVisitor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<String>` | `innerClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMDASMVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getInnerClasses()`
    `Map<String,String>` | `getPackages()`
    `void` | `visit(int version, int access, String name, String sig, String superName, String[] interfaces)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)`
    `void` | `visitAttribute(org.objectweb.asm.Attribute attr)`
    `void` | `visitEnd()`
    `org.objectweb.asm.FieldVisitor` | `visitField(int access, String name, String desc, String sig, Object value)`
    `void` | `visitInnerClass(String name, String outerName, String innerName, int access)`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, String name, String desc, String sig, String[] exceptions)`
    `void` | `visitOuterClass(String owner, String name, String desc)`
    `void` | `visitSource(String source, String debug)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### innerClasses

          public List<String> innerClasses

  - ### Constructor Detail

    - #### PMDASMVisitor

          public PMDASMVisitor()

  - ### Method Detail

    - #### getPackages

          public Map<String,String> getPackages()

    - #### getInnerClasses

          public List<String> getInnerClasses()

    - #### visit

          public void visit(int version,
                   int access,
                   String name,
                   String sig,
                   String superName,
                   String[] interfaces)

      Specified by:
        `visit` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                            boolean visible)

      Specified by:
        `visitAnnotation` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitField

          public org.objectweb.asm.FieldVisitor visitField(int access,
                                                  String name,
                                                  String desc,
                                                  String sig,
                                                  Object value)

      Specified by:
        `visitField` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                    String name,
                                                    String desc,
                                                    String sig,
                                                    String[] exceptions)

      Specified by:
        `visitMethod` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitSource

          public void visitSource(String source,
                         String debug)

      Specified by:
        `visitSource` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitInnerClass

          public void visitInnerClass(String name,
                             String outerName,
                             String innerName,
                             int access)

      Specified by:
        `visitInnerClass` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitOuterClass

          public void visitOuterClass(String owner,
                             String name,
                             String desc)

      Specified by:
        `visitOuterClass` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitEnd

          public void visitEnd()

      Specified by:
        `visitEnd` in interface `org.objectweb.asm.ClassVisitor`

    - #### visitAttribute

          public void visitAttribute(org.objectweb.asm.Attribute attr)

      Specified by:
        `visitAttribute` in interface `org.objectweb.asm.ClassVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.